# eric6.Plugins.VcsPlugins.vcsMercurial.HgGraftDialog

Module implementing a dialog to enter the data for a graft session.

### Global Attributes

None

### Classes

HgGraftDialog | Class implementing a dialog to enter the data for a graft session.

### Functions

None

## HgGraftDialog

Class implementing a dialog to enter the data for a graft session.

### Derived from

QDialog, Ui_HgGraftDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgGraftDialog | Constructor
__updateOk | Private slot to update the state of the OK button.
getData | Public method to retrieve the entered data.
on_currentUserCheckBox_toggled | Private slot to handle changes of the currentuser state.
on_revisionsEdit_textChanged | Private slot to react upon changes of revisions.
on_userEdit_textChanged | Private slot to handle changes of the user name.
on_userGroup_toggled | Private slot to handle changes of the user group state.

### Static Methods

None

#### HgGraftDialog (Constructor)

HgGraftDialog(vcs, revs=None, parent=None)

Constructor

vcs
  reference to the VCS object (Hg)
revs
  list of revisions to show in the revisions pane (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgGraftDialog.__updateOk

__updateOk()

Private slot to update the state of the OK button.

#### HgGraftDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  tuple with list of revisions, a tuple giving a flag indicating to set the user, a flag indicating to use the current user and the user name, another tuple giving a flag indicating to set the date, a flag indicating to use the current date and the date, a flag indicating to append graft info to the log message and a flag indicating a dry-run (list of strings, (boolean, boolean, string), (boolean, boolean, string), boolean, boolean)

#### HgGraftDialog.on_currentUserCheckBox_toggled

on_currentUserCheckBox_toggled(checked)

Private slot to handle changes of the currentuser state.

checked
  flag giving the checked state (boolean)

#### HgGraftDialog.on_revisionsEdit_textChanged

on_revisionsEdit_textChanged()

Private slot to react upon changes of revisions.

#### HgGraftDialog.on_userEdit_textChanged

on_userEdit_textChanged(txt)

Private slot to handle changes of the user name.

txt
  text of the edit (string)

#### HgGraftDialog.on_userGroup_toggled

on_userGroup_toggled(checked)

Private slot to handle changes of the user group state.

checked
  flag giving the checked state (boolean)

Up